Control APIAPI 레퍼런스Deployments

배포를 업로드합니다

베타 API

Control API의 /v1 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

POST/v1/apps/{appId}/deployments

multipart 파트는 선택적 meta JSON, 필수 Build Output v3 manifest JSON, 필수 files tar 순서로 전달합니다. manifest의 runtime.bundle이 있으면 bundle.tar 파일명의 bundle tar를 마지막에 전달해야 하며, 사용자 지정 이미지 배포에는 bundle을 포함할 수 없습니다. Idempotency-Key를 지원합니다. ntro deploy 명령에 대응합니다. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.

인증

bearerAuth
인증Bearer <token>

Identity access JWT 또는 ntro_ API token을 사용합니다. token 관리 경로는 Identity access JWT만 허용합니다.

위치: header

경로 매개변수

appId*string

헤더 매개변수

Idempotency-Key?string

요청 본문

multipart/form-data

TypeScript 타입 정의

Use the request body type in TypeScript.

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/apps/string/deployments" \  -F files="string" \  -F manifest="{    \"version\": 0  }"
{  "deployment": {    "appId": "string",    "createdAt": "string",    "errorCode": "string",    "fileCount": 0,    "id": "string",    "meta": true,    "preview": {      "capturedAt": "string",      "image": {        "token": "string",        "version": "string"      },      "status": "string"    },    "readyAt": "string",    "redeployOf": "string",    "shortId": "string",    "status": "string",    "target": "string",    "totalBytes": 0,    "url": "string"  }}